=== debian/changelog ===
snes9x-gtk (1:1.53git20151005mx150+1) mx; urgency=medium

  * Repackaged for MX-15 from latest git.

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Tue, 17 Nov 2015 13:27:37 -0500

snes9x-gtk (1:1.53.903.81mx14+1) mx; urgency=low

  * Repackaged for MX-14 / MEPIS 12

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Fri, 11 Apr 2014 18:00:10 -0400

snes9x-gtk (1:1.53.903.81~saucy1) saucy; urgency=low


   * Upstream release.


 -- Brandon Wright <bearoso@gmail.com>  Mon, 10 Feb 2014 16:32:16 -0600
