=== debian/control ===
Source: snes9x-gtk
Section: non-free/games
Priority: optional
Maintainer: Brandon Wright <bearoso@gmail.com>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0), intltool (>= 0.37.0), libgl1-mesa-dev | libgl-dev, libgtk-3-dev (>= 3.4.0), libpng12-dev, libsdl1.2-dev, libx11-dev, libxext-dev, libxml2-dev, libxrandr-dev, libxtst-dev, libxv-dev, nasm (>=0.99.06), portaudio19-dev, zlib1g-dev, libpulse-dev

Package: snes9x-gtk
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: snes9x-common, snes9x-server, snes9x-fx, snes9x-svga, snes9x-opengl, snes9x-x
Description: A GTK port of the popular Snes9x Super Nintendo emulator
 http://code.google.com/p/snes9x-gtk/
